Subject: 11.89.4; Auctex noweb issue.
From: Shawn Way <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Tue, 26 Jul 2016 18:16:54 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Remember to cover the basics, that is, what you expected to happen and
what in fact did happen.

Be sure to consult the FAQ section in the manual before submitting
a bug report.  In addition check if the bug is reproducable with an
up-to-date version of AUCTeX.  So please upgrade to the version
available from http://www.gnu.org/software/auctex/ if your
installation is older than the one available from the web site.

If the bug is triggered by a specific (La)TeX file, you should try
to produce a minimal sample file showing the problem and include it
in your report.

Your report will be posted for the auctex package at the GNU bug
tracker.  Visit http://debbugs.gnu.org/cgi/pkgreport.cgi?pkg=auctex
to browse existing AUCTeX bugs.
------------------------------------------------------------------------

When the file is a .tex file, I can use C-c ; to comment and uncomment
the \begin{equation} environment.

Once the file is a Noweb version (extension .rnw), if I use C-c ; to
comment or uncomment this environment it crashes emacs completely.

I've tried other environments such as itemize or figure and these work
fine.

Any thoughts?

Shawn Way, PE

Minimal Example:

==========================

\documentclass{article}

\begin{document}

\begin{equation}
  \label{eq:hxvol2}
  \begin{aligned}
    Vol &= & n\ \times L\ \times\ \frac{\pi D^2}{4}\\
  \end{aligned}
\end{equation}

\end{document}

Emacs  : GNU Emacs 25.0.91.1 (x86_64-w64-mingw32)
of 2016-02-14
Package: 11.89.4

current state:
==============
(setq
AUCTeX-date "2016-05-22"
window-system 'w32
LaTeX-version "2e"
TeX-style-path '("~/.emacs.d/auctex"
                                  "c:/Users/sway/AppData/Roaming/.emacs.d/elpa/auctex-11.89.4/style" "c:/Users/sway/AppData/Roaming/.emacs.d/auctex/auto" "C:/localtexmf/tex/latex/MECO/auto" "c:/localtexmf/tex/latex/MECO" "auto" "style")
TeX-auto-save t
TeX-parse-self t
TeX-master nil
TeX-command-list '(("TeX"
                                     "%(PDF)%(tex) %(file-line-error) %(extraopts) %`%S%(PDFout)%(mode)%' %t"
                                     TeX-run-TeX nil
                                     (plain-tex-mode ams-tex-mode texinfo-mode) :help
                                     "Run plain TeX")
                                    ("LaTeX" "%`%l%(mode)%' %t" TeX-run-TeX nil
                                     (latex-mode doctex-mode) :help "Run LaTeX")
                                    ("Makeinfo" "makeinfo %(extraopts) %t" TeX-run-compile nil
                                     (texinfo-mode) :help "Run Makeinfo with Info output")
                                    ("Makeinfo HTML" "makeinfo %(extraopts) --html %t"
                                     TeX-run-compile nil (texinfo-mode) :help
                                     "Run Makeinfo with HTML output")
                                    ("AmSTeX" "amstex %(PDFout) %(extraopts) %`%S%(mode)%' %t"
                                     TeX-run-TeX nil (ams-tex-mode) :help "Run AMSTeX")
                                    ("ConTeXt"
                                     "%(cntxcom) --once --texutil %(extraopts) %(execopts)%t"
                                     TeX-run-TeX nil (context-mode) :help "Run ConTeXt once")
                                    ("ConTeXt Full" "%(cntxcom) %(extraopts) %(execopts)%t"
                                     TeX-run-TeX nil (context-mode) :help
                                     "Run ConTeXt until completion")
                                    ("BibTeX" "bibtex %s" TeX-run-BibTeX nil t :help
                                     "Run BibTeX")
                                    ("Biber" "biber %s" TeX-run-Biber nil t :help "Run Biber")
                                    ("View" "%V" TeX-run-discard-or-function t t :help
                                     "Run Viewer")
                                    ("Print" "%p" TeX-run-command t t :help "Print the file")
                                    ("Queue" "%q" TeX-run-background nil t :help
                                     "View the printer queue" :visible TeX-queue-command)
                                    ("File" "%(o?)dvips %d -o %f " TeX-run-dvips t t :help
                                     "Generate PostScript file")
                                    ("Dvips" "%(o?)dvips %d -o %f " TeX-run-dvips nil t :help
                                     "Convert DVI file to PostScript")
                                    ("Dvipdfmx" "dvipdfmx %d" TeX-run-dvipdfmx nil t :help
                                     "Convert DVI file to PDF with dvipdfmx")
                                    ("Ps2pdf" "ps2pdf %f" TeX-run-ps2pdf nil t :help
                                     "Convert PostScript file to PDF")
                                    ("Index" "makeindex %s" TeX-run-index nil t :help
                                     "Run makeindex to create index file")
                                    ("Xindy" "texindy %s" TeX-run-command nil t :help
                                     "Run xindy to create index file")
                                    ("Check" "lacheck %s" TeX-run-compile nil (latex-mode)
                                     :help "Check LaTeX file for correctness")
                                    ("ChkTeX" "chktex -v6 %s" TeX-run-compile nil (latex-mode)
                                     :help "Check LaTeX file for common mistakes")
                                    ("Spell" "(TeX-ispell-document \"\")" TeX-run-function nil
                                     t :help "Spell-check the document")
                                    ("Clean" "TeX-clean" TeX-run-function nil t :help
                                     "Delete generated intermediate files")
                                    ("Clean All" "(TeX-clean t)" TeX-run-function nil t :help
                                     "Delete generated intermediate and output files")
                                    ("Other" "" TeX-run-command t t :help
                                     "Run an arbitrary command")
                                    ("Sweave" "R CMD Sweave %s" TeX-run-command nil
                                     (latex-mode) :help "Run Sweave")
                                    ("LatexSweave" "%l %(mode) %s" TeX-run-TeX nil
                                     (latex-mode) :help "Run Latex after Sweave")
                                    )
)

Thank you kindly,

Shawn Way, PE